Subject: Re: [Ltru] Proposals for changes to latest draft

From: "Mark Davis" <[email-masked]>
Date: Mon, 5 Mar 2007 10:01:14 -0800

There are two remaining areas that I want to weigh in on.

1. Sending an entire registry.
I'm not wedded to this notion, but what I do think is very important is that
we have a staging area, with a complete registry listing as it will be once
accepted. Remember that once it goes into the registry, it is fixed, and we
are stuck with any mistakes from then on. It is only prudent to have a
complete draft copy of the registry with the changes incorporated, as it
will be posted, for some period before it is posted.

2. LSR term. Our goal for this is roll to have someone who is:

   1. Organized, responsive, and timely
   2. Polite and considerate; giving due consideration to all reasoned
   points of view
   3. Completely familiar with all technical aspects and requirements of
   BCP 47
   4. Aware of the usage of BCP 47 tags in practice, in HTML, HTTP, XML,
   &c.
   5. Able to draw upon and assess the contributions of language experts
   in order to come to consensus.

We owe it to users of the registry to get the best candidate for the job,
and having a call for candidates every two years provides the opportunity to
do so.

Mark

On 2/27/07, Addison Phillips <[email-masked]> wrote:
>
> John Cowan wrote:
> >
> >> I agree that this section will read better if we use Mark's definitions
> >> based on tag conformance (allowing emails such as mine to pass muster).
> >> But the section should then proceed to talk about applying the terms to
> >> implementations. It makes no sense to talk about tag conformance when
> we
> >> mean implementations.
> >
> > Let's have both, then: definitions of well-formed and valid tags,
> > followed by definitions of validating and non-validating processors.
>
> Agreed. I thought that's what I said :-).
> >
> >> [T]he reviewer has historically exercised broad (very broad) discretion
> in
> >> accepting and rejecting requests. My understanding of RFC 4646 is that
> a
> >> request that has met with broad consensus for inclusion and which
> >> otherwise meets the requirements of the RFC won't unreasonably be
> >> rejected.
> >
> > Very well, provided the reviewer is the judge of what is reasonable!
> > This reminds me of the lawyer's definition of "law", namely "the
> > law is what the judge says it is."  This works for lawyers, but not
> > for judges, who are sworn to do justice according to law.
>
> Yes, and hence the appeals process.
>
> >
> >> The reviewer is, as you say, a judge---s/he adjudicates
> >> whether sufficient consensus has been achieved, and, furthermore, that
> >> there are no fatal technical objections to the registration. This is
> why
> >> the person is considered by IANA to be an "expert reviewer".
> >
> > Au contraire.  I believe that the reviewer has *always* acted on his
> > own judgement of whether the registration is good or bad, and *not*
> > on the basis of what he thinks the list consensus is.
>
> To be complete: the reviewer is sovereign in making the decision.
> However, the decision must be based on significant objections and these
> must be stated publicly on the list. List consensus or the lack thereof
> should certainly influence such a decision.
>
> My bigger concerns with the LSR historically have been:
>
> - there is a lack of timeliness in tracking the two-week rule
> - that acceptance or rejection is not always clearly made on the list
> (is, for example, 'valencia' going to show up some time soon or not?)
> - that objections are not always clear or clearly summarized
> - that criteria for registration/rejection are not always clear
>
> I believe that a registration in the face of overwhelming consensus
> against a subtag would be a truly bad thing. Similarly the reviewer
> should consider a countervailing consensus in support of a subtag
> closely before rejecting an item. The rejection cannot seem arbitrary:
> it must be based on something (RFCs 1766 and 3066 called this
> "significant objections", purposefully not defining "significant").
>
>
> > I also believe
> > that this is The Right Thing, as shown by actual practice.
>
> Yes, when done well. It is the Wrong Thing when applied haphazardly
> and/or inconsistently.
>
> Mark's proposed changes to the term and nominating process would help
> ensure that this performance is occasionally monitored.
>
> >
> >> To this, I think it important to indicate that the LSR has the duty of
> >> making the adjudication on a request.
> >
> > Sure.  But I do not want to constrain him to do what the list thinks.
> > He is not the list's servant, as an editor is; he is the sovereign
> expert
> > (though with a provision to overrule him).
>
> Good it is that I have not proposed we constrain him thus. I'm happy
> with the reviewer being the "sovereign expert", but the reviewer should
> also be aware that both "justice" and "the law" give a requester certain
> expectations of due process. I would not be concerned if there were a
> clear rejection of a subtag, even if it were entirely wrongheaded for
> the rejection to take place: the appeals process exists for precisely
> that purpose.
>
> Addison
>
> --
> Addison Phillips
> Globalization Architect -- Yahoo! Inc.
> Chair -- W3C Internationalization Core WG
>
> Internationalization is an architecture.
> It is not a feature.
>

-- 
Mark
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Mon, 5 Mar 2007 13:25:46 -0500

Mark Davis scripsit:

> Remember that once it goes into the registry, it is fixed, and we are
> stuck with any mistakes from then on.

Actually not.  What the LSR sends to IANA is authoritative; if IANA
botches the update, IANA can fix it.  I certainly wouldn't oppose
IANA creating such a staging area officially or anyone else doing it
unofficially, but none of IANA's other registries seem to require this.

-- 
We call nothing profound                        [email-masked]
that is not wittily expressed.                  John Cowan
        --Northrop Frye (improved)

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 05 Mar 2007 19:32:07 +0100

>   3. Completely familiar with all technical aspects and requirements
>      of BCP 47
>   4. Aware of the usage of BCP 47 tags in practice, in HTML, HTTP,
>      XML, &c.
>   5. Able to draw upon and assess the contributions of language
>      experts in order to come to consensus.

> We owe it to users of the registry to get the best candidate for the
> job, and having a call for candidates every two years provides the
> opportunity to do so.

Sounds good, but I guess the IESG won't like to go through this
procedure every two years, you'd have to allow them to delegate 
this task somehow (NomCom, directorate, no idea, we'd have to
ask the ADs what could work, "two years" is AFAIK a new concept.)

Frank

---

From: Ted Hardie <[email-masked]>
Date: Mon, 5 Mar 2007 14:03:23 -0800

>2.	Polite and considerate; giving due consideration to all reasoned points of view
>3.	Completely familiar with all technical aspects and requirements of BCP 47
>4.	Aware of the usage of BCP 47 tags in practice, in HTML, HTTP, XML, &c.
>5.	Able to draw upon and assess the contributions of language experts in order to come to consensus.
>
>We owe it to users of the registry to get the best candidate for the job, and having a call for candidates every two years provides the opportunity to do so.
>
>Mark

IANA expert terms have not been bounded by dates, at least in my experience,
so setting up a specific term might be breaking new ground.  I personally think
you need to be careful what you wish for here.  If a Language subtag reviewer
were appointed who was seriously deficient, the inertia around fixed-term
appointments might, in fact, act to prolong the term of that LSR, rather than
ensure it got reviewed.  It can be much easier to ask someone to step aside
if it is not obvious that they are leaving earlier than expected; it can also be
easier to persuade folks to make that request if they can't say to themselves
"Oh well, only X months left in the term, how much harm can keeping the
status quo do?"

Just my personal opinion,
					Ted

---

From: Martin Duerst <[email-masked]>
Date: Tue, 06 Mar 2007 15:40:59 +0900

At 03:01 07/03/06, Mark Davis wrote:

>    * Organized, responsive, and timely 
>    * Polite and considerate; giving due consideration to all reasoned points of view 
>    * Completely familiar with all technical aspects and requirements of BCP 47 
>    * Aware of the usage of BCP 47 tags in practice, in HTML, HTTP, XML, &c. 
>    * Able to draw upon and assess the contributions of language experts in order to come to consensus. 

I think it's very important to realize that these (as written above)
are goals. It's very clear that nobody is perfect, and even more,
nobody does a perfect job for free.

Regards,   Martin.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]